org.eclipse.incquery.patternlanguage.patternLanguage.util

## Class PatternLanguageSwitch<T>

- java.lang.Object
- - org.eclipse.emf.ecore.util.Switch<T>
  - - org.eclipse.incquery.patternlanguage.patternLanguage.util.PatternLanguageSwitch<T>

-     public class PatternLanguageSwitch<T>
      extends org.eclipse.emf.ecore.util.Switch<T>

  The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.
  See Also:
    `PatternLanguagePackage`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PatternLanguageSwitch()` Creates an instance of the switch.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `caseAggregatedValue(AggregatedValue object)` Returns the result of interpreting the object as an instance of 'Aggregated Value'.
    `T` | `caseAggregatorExpression(AggregatorExpression object)` Returns the result of interpreting the object as an instance of 'Aggregator Expression'.
    `T` | `caseAnnotation(Annotation object)` Returns the result of interpreting the object as an instance of 'Annotation'.
    `T` | `caseAnnotationParameter(AnnotationParameter object)` Returns the result of interpreting the object as an instance of 'Annotation Parameter'.
    `T` | `caseBoolValue(BoolValue object)` Returns the result of interpreting the object as an instance of 'Bool Value'.
    `T` | `caseCheckConstraint(CheckConstraint object)` Returns the result of interpreting the object as an instance of 'Check Constraint'.
    `T` | `caseCompareConstraint(CompareConstraint object)` Returns the result of interpreting the object as an instance of 'Compare Constraint'.
    `T` | `caseComputationValue(ComputationValue object)` Returns the result of interpreting the object as an instance of 'Computation Value'.
    `T` | `caseConstraint(Constraint object)` Returns the result of interpreting the object as an instance of 'Constraint'.
    `T` | `caseCountAggregator(CountAggregator object)` Returns the result of interpreting the object as an instance of 'Count Aggregator'.
    `T` | `caseDoubleValue(DoubleValue object)` Returns the result of interpreting the object as an instance of 'Double Value'.
    `T` | `caseEntityType(EntityType object)` Returns the result of interpreting the object as an instance of 'Entity Type'.
    `T` | `caseFunctionEvaluationValue(FunctionEvaluationValue object)` Returns the result of interpreting the object as an instance of 'Function Evaluation Value'.
    `T` | `caseIntValue(IntValue object)` Returns the result of interpreting the object as an instance of 'Int Value'.
    `T` | `caseJvmIdentifiableElement(org.eclipse.xtext.common.types.JvmIdentifiableElement object)` Returns the result of interpreting the object as an instance of 'Jvm Identifiable Element'.
    `T` | `caseListValue(ListValue object)` Returns the result of interpreting the object as an instance of 'List Value'.
    `T` | `caseLiteralValueReference(LiteralValueReference object)` Returns the result of interpreting the object as an instance of 'Literal Value Reference'.
    `T` | `caseLocalVariable(LocalVariable object)` Returns the result of interpreting the object as an instance of 'Local Variable'.
    `T` | `caseModifiers(Modifiers object)` Returns the result of interpreting the object as an instance of 'Modifiers'.
    `T` | `caseParameterRef(ParameterRef object)` Returns the result of interpreting the object as an instance of 'Parameter Ref'.
    `T` | `casePathExpressionConstraint(PathExpressionConstraint object)` Returns the result of interpreting the object as an instance of 'Path Expression Constraint'.
    `T` | `casePathExpressionElement(PathExpressionElement object)` Returns the result of interpreting the object as an instance of 'Path Expression Element'.
    `T` | `casePathExpressionHead(PathExpressionHead object)` Returns the result of interpreting the object as an instance of 'Path Expression Head'.
    `T` | `casePathExpressionTail(PathExpressionTail object)` Returns the result of interpreting the object as an instance of 'Path Expression Tail'.
    `T` | `casePattern(Pattern object)` Returns the result of interpreting the object as an instance of 'Pattern'.
    `T` | `casePatternBody(PatternBody object)` Returns the result of interpreting the object as an instance of 'Pattern Body'.
    `T` | `casePatternCall(PatternCall object)` Returns the result of interpreting the object as an instance of 'Pattern Call'.
    `T` | `casePatternCompositionConstraint(PatternCompositionConstraint object)` Returns the result of interpreting the object as an instance of 'Pattern Composition Constraint'.
    `T` | `casePatternModel(PatternModel object)` Returns the result of interpreting the object as an instance of 'Pattern Model'.
    `T` | `caseRelationType(RelationType object)` Returns the result of interpreting the object as an instance of 'Relation Type'.
    `T` | `caseStringValue(StringValue object)` Returns the result of interpreting the object as an instance of 'String Value'.
    `T` | `caseType(Type object)` Returns the result of interpreting the object as an instance of 'Type'.
    `T` | `caseValueReference(ValueReference object)` Returns the result of interpreting the object as an instance of 'Value Reference'.
    `T` | `caseVariable(Variable object)` Returns the result of interpreting the object as an instance of 'Variable'.
    `T` | `caseVariableReference(VariableReference object)` Returns the result of interpreting the object as an instance of 'Variable Reference'.
    `T` | `caseVariableValue(VariableValue object)` Returns the result of interpreting the object as an instance of 'Variable Value'.
    `T` | `defaultCase(org.eclipse.emf.ecore.EObject object)` Returns the result of interpreting the object as an instance of 'EObject'.

    - ### Methods inherited from class org.eclipse.emf.ecore.util.Switch

      `doSwitch`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PatternLanguageSwitch

          public PatternLanguageSwitch()

      Creates an instance of the switch.

  - ### Method Detail

    - #### casePatternModel

          public T casePatternModel(PatternModel object)

      Returns the result of interpreting the object as an instance of 'Pattern Model'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Pattern Model'.
      See Also:
        `doSwitch(EObject)`

    - #### casePattern

          public T casePattern(Pattern object)

      Returns the result of interpreting the object as an instance of 'Pattern'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Pattern'.
      See Also:
        `doSwitch(EObject)`

    - #### caseAnnotation

          public T caseAnnotation(Annotation object)

      Returns the result of interpreting the object as an instance of 'Annotation'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Annotation'.
      See Also:
        `doSwitch(EObject)`

    - #### caseAnnotationParameter

          public T caseAnnotationParameter(AnnotationParameter object)

      Returns the result of interpreting the object as an instance of 'Annotation Parameter'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Annotation Parameter'.
      See Also:
        `doSwitch(EObject)`

    - #### caseModifiers

          public T caseModifiers(Modifiers object)

      Returns the result of interpreting the object as an instance of 'Modifiers'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Modifiers'.
      See Also:
        `doSwitch(EObject)`

    - #### caseVariable

          public T caseVariable(Variable object)

      Returns the result of interpreting the object as an instance of 'Variable'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Variable'.
      See Also:
        `doSwitch(EObject)`

    - #### caseVariableReference

          public T caseVariableReference(VariableReference object)

      Returns the result of interpreting the object as an instance of 'Variable Reference'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Variable Reference'.
      See Also:
        `doSwitch(EObject)`

    - #### caseType

          public T caseType(Type object)

      Returns the result of interpreting the object as an instance of 'Type'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Type'.
      See Also:
        `doSwitch(EObject)`

    - #### casePatternBody

          public T casePatternBody(PatternBody object)

      Returns the result of interpreting the object as an instance of 'Pattern Body'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Pattern Body'.
      See Also:
        `doSwitch(EObject)`

    - #### caseConstraint

          public T caseConstraint(Constraint object)

      Returns the result of interpreting the object as an instance of 'Constraint'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Constraint'.
      See Also:
        `doSwitch(EObject)`

    - #### casePatternCall

          public T casePatternCall(PatternCall object)

      Returns the result of interpreting the object as an instance of 'Pattern Call'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Pattern Call'.
      See Also:
        `doSwitch(EObject)`

    - #### casePathExpressionElement

          public T casePathExpressionElement(PathExpressionElement object)

      Returns the result of interpreting the object as an instance of 'Path Expression Element'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Path Expression Element'.
      See Also:
        `doSwitch(EObject)`

    - #### caseValueReference

          public T caseValueReference(ValueReference object)

      Returns the result of interpreting the object as an instance of 'Value Reference'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Value Reference'.
      See Also:
        `doSwitch(EObject)`

    - #### caseLiteralValueReference

          public T caseLiteralValueReference(LiteralValueReference object)

      Returns the result of interpreting the object as an instance of 'Literal Value Reference'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Literal Value Reference'.
      See Also:
        `doSwitch(EObject)`

    - #### caseComputationValue

          public T caseComputationValue(ComputationValue object)

      Returns the result of interpreting the object as an instance of 'Computation Value'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Computation Value'.
      See Also:
        `doSwitch(EObject)`

    - #### caseAggregatorExpression

          public T caseAggregatorExpression(AggregatorExpression object)

      Returns the result of interpreting the object as an instance of 'Aggregator Expression'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Aggregator Expression'.
      See Also:
        `doSwitch(EObject)`

    - #### caseParameterRef

          public T caseParameterRef(ParameterRef object)

      Returns the result of interpreting the object as an instance of 'Parameter Ref'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Parameter Ref'.
      See Also:
        `doSwitch(EObject)`

    - #### caseLocalVariable

          public T caseLocalVariable(LocalVariable object)

      Returns the result of interpreting the object as an instance of 'Local Variable'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Local Variable'.
      See Also:
        `doSwitch(EObject)`

    - #### caseEntityType

          public T caseEntityType(EntityType object)

      Returns the result of interpreting the object as an instance of 'Entity Type'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Entity Type'.
      See Also:
        `doSwitch(EObject)`

    - #### caseRelationType

          public T caseRelationType(RelationType object)

      Returns the result of interpreting the object as an instance of 'Relation Type'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Relation Type'.
      See Also:
        `doSwitch(EObject)`

    - #### casePatternCompositionConstraint

          public T casePatternCompositionConstraint(PatternCompositionConstraint object)

      Returns the result of interpreting the object as an instance of 'Pattern Composition Constraint'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Pattern Composition Constraint'.
      See Also:
        `doSwitch(EObject)`

    - #### caseCompareConstraint

          public T caseCompareConstraint(CompareConstraint object)

      Returns the result of interpreting the object as an instance of 'Compare Constraint'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Compare Constraint'.
      See Also:
        `doSwitch(EObject)`

    - #### caseCheckConstraint

          public T caseCheckConstraint(CheckConstraint object)

      Returns the result of interpreting the object as an instance of 'Check Constraint'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Check Constraint'.
      See Also:
        `doSwitch(EObject)`

    - #### casePathExpressionConstraint

          public T casePathExpressionConstraint(PathExpressionConstraint object)

      Returns the result of interpreting the object as an instance of 'Path Expression Constraint'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Path Expression Constraint'.
      See Also:
        `doSwitch(EObject)`

    - #### casePathExpressionHead

          public T casePathExpressionHead(PathExpressionHead object)

      Returns the result of interpreting the object as an instance of 'Path Expression Head'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Path Expression Head'.
      See Also:
        `doSwitch(EObject)`

    - #### casePathExpressionTail

          public T casePathExpressionTail(PathExpressionTail object)

      Returns the result of interpreting the object as an instance of 'Path Expression Tail'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Path Expression Tail'.
      See Also:
        `doSwitch(EObject)`

    - #### caseIntValue

          public T caseIntValue(IntValue object)

      Returns the result of interpreting the object as an instance of 'Int Value'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Int Value'.
      See Also:
        `doSwitch(EObject)`

    - #### caseStringValue

          public T caseStringValue(StringValue object)

      Returns the result of interpreting the object as an instance of 'String Value'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'String Value'.
      See Also:
        `doSwitch(EObject)`

    - #### caseBoolValue

          public T caseBoolValue(BoolValue object)

      Returns the result of interpreting the object as an instance of 'Bool Value'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Bool Value'.
      See Also:
        `doSwitch(EObject)`

    - #### caseDoubleValue

          public T caseDoubleValue(DoubleValue object)

      Returns the result of interpreting the object as an instance of 'Double Value'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Double Value'.
      See Also:
        `doSwitch(EObject)`

    - #### caseVariableValue

          public T caseVariableValue(VariableValue object)

      Returns the result of interpreting the object as an instance of 'Variable Value'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Variable Value'.
      See Also:
        `doSwitch(EObject)`

    - #### caseListValue

          public T caseListValue(ListValue object)

      Returns the result of interpreting the object as an instance of 'List Value'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'List Value'.
      See Also:
        `doSwitch(EObject)`

    - #### caseFunctionEvaluationValue

          public T caseFunctionEvaluationValue(FunctionEvaluationValue object)

      Returns the result of interpreting the object as an instance of 'Function Evaluation Value'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Function Evaluation Value'.
      See Also:
        `doSwitch(EObject)`

    - #### caseAggregatedValue

          public T caseAggregatedValue(AggregatedValue object)

      Returns the result of interpreting the object as an instance of 'Aggregated Value'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Aggregated Value'.
      See Also:
        `doSwitch(EObject)`

    - #### caseCountAggregator

          public T caseCountAggregator(CountAggregator object)

      Returns the result of interpreting the object as an instance of 'Count Aggregator'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Count Aggregator'.
      See Also:
        `doSwitch(EObject)`

    - #### caseJvmIdentifiableElement

          public T caseJvmIdentifiableElement(org.eclipse.xtext.common.types.JvmIdentifiableElement object)

      Returns the result of interpreting the object as an instance of 'Jvm Identifiable Element'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Jvm Identifiable Element'.
      See Also:
        `doSwitch(EObject)`

    - #### defaultCase

          public T defaultCase(org.eclipse.emf.ecore.EObject object)

      Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.
      Overrides:
        `defaultCase` in class `org.eclipse.emf.ecore.util.Switch<T>`
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'EObject'.
      See Also:
        `Switch.doSwitch(org.eclipse.emf.ecore.EObject)`